Vulnerability CVE-2015-2285


Published: 2015-03-12   Modified: 2015-03-15

Description:
The logrotation script (/etc/cron.daily/upstart) in the Ubuntu Upstart package before 1.13.2-0ubuntu9, as used in Ubuntu Vivid 15.04, allows local users to execute arbitrary commands and gain privileges via a crafted file in /run/user/*/upstart/sessions/.

CVSS2 => (AV:L/AC:L/Au:N/C:C/I:C/A:C)

CVSS Base Score
Impact Subscore
Exploitability Subscore
7.2/10
10/10
3.9/10
Exploit range
Attack complexity
Authentication
Local
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Complete
Complete
Complete
Affected software
Ubuntu -> Upstart 
Ubuntu -> Vivid 

 References:
https://bugs.launchpad.net/ubuntu/+source/upstart/+bug/1425685
http://www.halfdog.net/Security/2015/UpstartLogrotationPrivilegeEscalation/
http://seclists.org/fulldisclosure/2015/Mar/7
http://packetstormsecurity.com/files/130587/Ubuntu-Vivid-Upstart-Privilege-Escalation.html

Copyright 2022, cxsecurity.com

 

Back to Top